package evidence_request

import (
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
)

type EvidenceDownloadRequest struct {
	// <ext>core:true;format:string;deprecated:false</ext> 【电子签约文件id】电子签约文件id 【作用】 查询需下载存证报告的电子签约文件 【传参】 电子签约文件id和第三方业务系统文件id必传其一，均传入以电子签约文件id为准。
	ContractId *int64 `json:"contractId,omitempty"`
}

func (obj EvidenceDownloadRequest) GetUrl() string {
	return "/evidence/download"
}

func (obj EvidenceDownloadRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewGetHttpParameter()
	parameter.AddParam("contractId", obj.ContractId)
	return parameter
}
